Page MenuHomePhabricator

Create a front end option for administrators to create a local account from a global account
Closed, ResolvedPublic

Description

To get around the problems in T132614, please create an interface for processing such requests:

Suggest: Special:CreateLocalAccount

Should be able to reuse programming from createLocalAccount.php (as referenced in T78058)

New special page:
Inputs:
global account name; use lookup logic from other pages; validate that the name exists and is not already a local account
comment (maybe?)
submit button

Output:
The local account will be created, linked to the global account
A log entry will be generated in the user creation log, 'creation by registered user' type

Require permission to use the form, new permission:
centralauth-createlocalaccount (create local account attached to global account)

add to administrators by default

add to stewards on wmfwikis

add to accountcreators on enwiki

Event Timeline

Xaosflux created this task.Aug 5 2020, 4:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2020, 4:16 PM
L235 added a subscriber: L235.Aug 5 2020, 4:21 PM
Majavah added a subscriber: Majavah.Aug 5 2020, 8:59 PM
JJMC89 added a subscriber: JJMC89.Aug 5 2020, 9:13 PM
Ankry added a subscriber: Ankry.Aug 5 2020, 9:25 PM
ElHef added a subscriber: ElHef.Aug 5 2020, 11:47 PM
Majavah claimed this task.Aug 6 2020, 11:19 AM
Restricted Application added a project: User-Majavah. · View Herald TranscriptAug 6 2020, 11:19 AM

Change 618734 had a related patch set uploaded (by Majavah; owner: Majavah):
[mediawiki/extensions/CentralAuth@master] [WIP] Create special page to allow manually creating local accounts for global accounts

https://gerrit.wikimedia.org/r/618734

Risker added a subscriber: Risker.Sep 10 2020, 5:41 AM

This would be helpful. Stewards will often create a global account, or the user may create their account and start editing on another project, but then is unable to edit English Wikipedia (or another project) that has their IP/IP range account-creation blocked for valid local reasons. It's particularly problematic if the user has already edited on other projects, because their accounts will then be split, leaving them open to allegations of inappropriate sockpuppetry.

It would be reasonable to limit this ability to stewards and local checkusers, because in many cases the users will also require IPBE to edit on that project.

[...]
It would be reasonable to limit this ability to stewards and local checkusers, because in many cases the users will also require IPBE to edit on that project.

The patch as-is will grant the ability to autocreate a local account to all administrators (in line with granting IPBE, which is also allowed to all sysops), via the Special:CreateLocalAccount page. If enwiki wants to make this CU-only ability, it's perfectly possible, you would just need to follow https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes and create a Phab task with local consensus.

Change 618734 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Create special page to allow manually creating local accounts for global users

https://gerrit.wikimedia.org/r/618734

Urbanecm closed this task as Resolved.Oct 29 2020, 7:15 PM

Calling this resolved. Thanks, Majavah!